Change log for dds package in Ubuntu

123 of 23 results
Published in disco-release on 2019-01-30
Deleted in disco-proposed (Reason: moved to release)
dds (2.9.0-6) unstable; urgency=medium

  * Pass CFLAGS to examples Makefile as well.
  * Fix compiler warning when used without -flto.
  * Ignore symbol mismatches on non-amd64.
  * Add newly appeared C++ symbols.
  * Ignore test failure on i386; tenace, our main reverse dependency, is not
    affected by the problem. (Closes: #910939)

 -- Christoph Berg <email address hidden>  Wed, 30 Jan 2019 14:21:50 +0100
Superseded in disco-proposed on 2019-01-30
Deleted in cosmic-proposed on 2019-01-31 (Reason: Moved to disco-proposed)
dds (2.9.0-5) unstable; urgency=medium

  * Move libdds0 to Section: libs. Closes: #909774.
  * Retrieve available memory using sysconf(_SC_PHYS_PAGES) instead of parsing
    the `free` output wrongly. (Closes: #909539)

 -- Christoph Berg <email address hidden>  Wed, 10 Oct 2018 22:43:09 +0200

Available diffs

Superseded in cosmic-proposed on 2018-10-11
dds (2.9.0-3) unstable; urgency=medium

  * Fix signedness problems with char variables.

 -- Christoph Berg <email address hidden>  Mon, 24 Sep 2018 14:01:43 +0200
Superseded in disco-release on 2019-01-30
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2018-04-03
Deleted in bionic-proposed (Reason: moved to release)
dds (2.5.2+ddd105-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <email address hidden>  Tue, 03 Apr 2018 12:18:59 +0000
Superseded in bionic-release on 2018-04-03
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed (Reason: moved to release)
dds (2.5.2+ddd105-1) unstable; urgency=medium


  * New dds upstream version.

 -- Christoph Berg <email address hidden>  Mon, 26 May 2014 22:23:44 +0200

Available diffs

Superseded in utopic-release on 2014-05-27
Published in trusty-release on 2014-01-22
Deleted in trusty-proposed (Reason: moved to release)
dds (2.4.2+ddd105-1) unstable; urgency=medium


  * New dds upstream version.

 -- Christoph Berg <email address hidden>  Tue, 21 Jan 2014 16:23:21 +0100

Available diffs

Superseded in trusty-release on 2014-01-22
Deleted in trusty-proposed on 2014-01-23 (Reason: moved to release)
dds (2.3.0+ddd105-2) unstable; urgency=low


  * Use -std=gnu99 so popen() is available. Thanks to Adam Conrad for the
    patch! Closes: #727777.

 -- Christoph Berg <email address hidden>  Fri, 01 Nov 2013 22:16:56 +0100
Superseded in trusty-release on 2013-11-02
Deleted in trusty-proposed on 2013-11-03 (Reason: moved to release)
dds (2.3.0+ddd105-1ubuntu1) trusty; urgency=low

  * makefile-gnu99: Use -std=gnu99 instead of -std=c99 to get popen()
 -- Adam Conrad <email address hidden>   Sat, 26 Oct 2013 10:27:22 -0600
Superseded in trusty-proposed on 2013-10-26
dds (2.3.0+ddd105-1) unstable; urgency=low


  * New dds upstream version, now using Apache License, Version 2.0.
  * Update watchfile to only look for dds, dehs will only see the ddd version
    otherwise.
  * Remove debian/patches/dll.h-fix-version, dds.cpp-autoconfig.
  * Remove some compiler warnings.

 -- Christoph Berg <email address hidden>  Sun, 15 Sep 2013 18:11:00 +0200
Superseded in trusty-release on 2013-10-26
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
dds (2.1.2+ddd105-1) unstable; urgency=low


  * New dds upstream version.
  * Update watch file to mangle the ddd version to 1.0.5.
  * Source format 3.0.
  * Update to dh_python2, supporting multiple python versions in parallel.

 -- Christoph Berg <email address hidden>  Sat, 31 Dec 2011 18:02:22 +0200
Superseded in quantal-release on 2012-04-30
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
dds (2.1.1+ddd105-2) unstable; urgency=low

  * Also run python test when building.

Superseded in oneiric-release on 2011-04-30
Obsolete in natty-release on 2013-06-04
dds (2.0.1+ddd105-1build1) natty; urgency=low

  * Rebuild with python 2.7 as the python default.
 -- Matthias Klose <email address hidden>   Wed, 08 Dec 2010 15:02:00 +0000
Superseded in natty-release on 2010-12-08
Obsolete in maverick-release on 2013-03-05
dds (2.0.1+ddd105-1) unstable; urgency=low

  * New dds upstream version, in some situations
    dds could wrongly reuse the transposition table contents giving an
    incorrect result.
  * Defines DDS_VERSION.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  24 May 2010 10:47:18 +0100

Available diffs

Superseded in maverick-release on 2010-05-24
dds (2.0.0+ddd105-1) unstable; urgency=low

  * New dds upstream version (only bumping version).
  * Add SolveBoard.3 manpage.

Superseded in maverick-release on 2010-05-09
Obsolete in lucid-release on 2016-10-26
Obsolete in karmic-release on 2013-03-04
Obsolete in jaunty-release on 2013-02-28
dds (1.1.9+ddd105-2build1) jaunty; urgency=low

  * No change rebuild to build with Python 2.6.

 -- Alessio Treglia <email address hidden>   Mon, 09 Mar 2009 23:03:14 +0100
Superseded in jaunty-release on 2009-03-09
dds (1.1.9+ddd105-2) unstable; urgency=low

  * Update watch file with correct dversionmangling.

Available diffs

Superseded in jaunty-release on 2008-11-05
Obsolete in intrepid-release on 2013-02-20
dds (1.1.8+ddd105-1) unstable; urgency=low

  * New dds upstream version.
  * Update upstream URL and correctly mangle version numbers in watch file.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  02 May 2008 01:55:40 +0100
Superseded in intrepid-release on 2008-05-03
Obsolete in hardy-release on 2015-04-24
dds (1.1.7+ddd105-1) unstable; urgency=low

  * New dds upstream version.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  23 Oct 2007 15:51:24 +0100
Superseded in hardy-release on 2007-10-23
Obsolete in gutsy-release on 2011-09-16
dds (1.1.5+ddd105-2) unstable; urgency=low

  * Include patch by upstream that removes debugging code.
  * The C compatibility patch went upstream, thanks Bo.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  20 Jun 2007 08:33:07 +0100
Superseded in gutsy-release on 2007-06-20
dds (1.1.5+ddd105-1) unstable; urgency=low

  * New dds upstream version.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  19 Jun 2007 16:00:35 +0100
Superseded in gutsy-release on 2007-06-19
dds (1.1.4+ddd105-2) unstable; urgency=low

  * Fetch revision h API docs.
  * Use C compiler so libdds.a doesn't need C++ linkage.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Sun,  17 Jun 2007 14:39:23 +0100
Superseded in gutsy-release on 2007-06-17
dds (1.1.4+ddd105-1) unstable; urgency=low

  * New dds upstream version.
    + mode=2 can now be used with any target/solutions/lead.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  16 May 2007 07:50:16 +0100
Superseded in gutsy-release on 2007-05-16
dds (1.1.3+ddd105-1) unstable; urgency=low

  * New dds upstream version.

123 of 23 results